AnsweredAssumed Answered

How to change start or end point of line?

Question asked by Yong Ning on Mar 29, 2015
Latest reply on Apr 9, 2018 by Jacob Corder

00.jpg

Follow can get Start or End Point of line.

 

 

Help me , Move Point

 

''

Private Sub del()

   Dim SwApp As SldWorks.SldWorks, SwModel As ModelDoc2

      Set SwApp = Application.SldWorks

      Set SwModel = SwApp.ActiveDoc

   Dim SwDraw As DrawingDoc, vSketchSeg

   Dim ii, sArr, eArr

      Set SwDraw = SwModel

   Dim SwSketchSeg As SketchSegment, SwLine As SketchLine

      vSketchSeg = SwModel.GetActiveSketch2.GetSketchSegments

      For ii = 0 To UBound(vSketchSeg)

         Set SwLine = vSketchSeg(ii)

         With SwLine

            sArr = .GetStartPoint

            eArr = .GetEndPoint    

         End With

         Stop     

      Next ii

End Sub

 

***********************************************

SketchLine Object.The SketchLine object is derived from SketchSegment.

have getEndPoint Sentance, no setEndPoint Sentance.

01.jpg

Outcomes